- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::DrawElementsUByte Class Reference

Inheritance diagram for osg::DrawElementsUByte:

[legend]
List of all members.

## Public Member Functions
| DrawElementsUByte (GLenum mode=0)
| DrawElementsUByte (const DrawElementsUByte &array, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| DrawElementsUByte (GLenum mode, unsigned int no, GLubyte *ptr)
| DrawElementsUByte (GLenum mode, unsigned int no)
virtual Object * | cloneType () const
| Clone the type of an object, with Object* return type.
virtual Object * | clone (const CopyOp &copyop) const
| Clone an object, with Object* return type.
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
| return the name of the object's library.
virtual const char * | className () const
| return the name of the object's class type.
virtual void | draw (State &state, bool useVertexBufferObjects) const
virtual void | accept (Drawable::PrimitiveFunctor &functor) const
virtual void | accept (Drawable::PrimitiveIndexFunctor &functor) const
virtual unsigned int | getNumIndices () const
virtual unsigned int | index (unsigned int pos) const
virtual void | offsetIndices (int offset)
## Protected Types
typedef osg::buffered_value< GLuint > | GLObjectList
## Protected Member Functions
virtual | ~DrawElementsUByte ()
## Protected Attributes
GLObjectList | _vboList

## Member Typedef Documentation

typedef osg::buffered_value<GLuint> osg::DrawElementsUByte::GLObjectList`[protected]`

## Constructor & Destructor Documentation

osg::DrawElementsUByte::DrawElementsUByte | ( | GLenum | mode = `0` | ) | `[inline]`

osg::DrawElementsUByte::DrawElementsUByte | ( | const DrawElementsUByte & | array,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) | `[inline]`

osg::DrawElementsUByte::DrawElementsUByte | ( | GLenum | mode,
|  | unsigned int | no,
|  | GLubyte * | ptr
| ) | `[inline]`

osg::DrawElementsUByte::DrawElementsUByte | ( | GLenum | mode,
|  | unsigned int | no
| ) | `[inline]`

DrawElementsUByte::~DrawElementsUByte | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void DrawElementsUByte::accept | ( | Drawable::PrimitiveIndexFunctor & | functor | ) | const`[virtual]`

| Implements osg::PrimitiveSet.

void DrawElementsUByte::accept | ( | Drawable::PrimitiveFunctor & | functor | ) | const`[virtual]`

| Implements osg::PrimitiveSet.

virtual const char* osg::DrawElementsUByte::className | ( |  | ) | const`[inline, virtual]`

| return the name of the object's class type. Must be defined by derived classes. Reimplemented from osg::PrimitiveSet.

virtual Object* osg::DrawElementsUByte::clone | ( | const CopyOp & | copyop | ) | const`[inline, virtual]`

| Clone an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

virtual Object* osg::DrawElementsUByte::cloneType | ( |  | ) | const`[inline, virtual]`

| Clone the type of an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

void DrawElementsUByte::draw | ( | State & | state,
|  | bool | useVertexBufferObjects
| ) | const`[virtual]`

| Implements osg::PrimitiveSet.

virtual unsigned int osg::DrawElementsUByte::getNumIndices | ( |  | ) | const`[inline, virtual]`

| Implements osg::PrimitiveSet.

virtual unsigned int osg::DrawElementsUByte::index | ( | unsigned int | pos | ) | const`[inline, virtual]`

| Implements osg::PrimitiveSet.

virtual bool osg::DrawElementsUByte::isSameKindAs | ( | const Object * | obj | ) | const`[inline, virtual]`

| Reimplemented from osg::PrimitiveSet.

virtual const char* osg::DrawElementsUByte::libraryName | ( |  | ) | const`[inline, virtual]`

| return the name of the object's library. Must be defined by derived classes. The OpenSceneGraph convention is that the namespace of a library is the same as the library name. Reimplemented from osg::PrimitiveSet.

void DrawElementsUByte::offsetIndices | ( | int | offset | ) | `[virtual]`

| Implements osg::PrimitiveSet.

## Member Data Documentation

GLObjectList osg::DrawElementsUByte::_vboList`[mutable, protected]`

The documentation for this class was generated from the following files:

- PrimitiveSet
- PrimitiveSet.cpp